<?php
ini_set("date.timezone","America/Sao_Paulo");
session_set_cookie_params(0);
session_start();

header("Content-Type: text/html;  charset=ISO-8859-1",true);
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
header('Access-Control-Allow-Credentials: true');

// Inclusão de classes
require_once("admin/inc/conecta.php");
require_once("admin/inc/funcoes.php");
require_once("admin/inc/classe.ssh.php");
require_once("admin/inc/classe.ftp.php");

$dados_config = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM configuracoes"));

if($_SESSION["porta_logada"] || $_SESSION["porta_logada_dj"]) {

$dados_sessao = ($_SESSION["porta_logada"]) ? $_SESSION["porta_logada"] : $_SESSION["porta_logada_dj"];

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where porta = '".$dados_sessao."'"));
$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));
$dados_revenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE codigo = '".$dados_stm["codigo_cliente"]."'"));

$porta_code = code_decode($dados_stm["porta"],"E");

// Valida se serviço est ativo ou bloqueado
if($dados_stm["status"] != 1) {
$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Serviço bloqueado! Contate nosso atendimento.</div>';

unset($_SESSION["porta_logada"]);
header("Location: /login");
exit;
}
}

//////////////////////////////////////////////////////////////////
////// Verificar se dominio tem SSL e redireciona para https /////
//////////////////////////////////////////////////////////////////

function verifica_SSL($domain){$get=@stream_context_create(array("ssl"=>array("capture_peer_cert"=>TRUE)));$read=@stream_socket_client("ssl://".$domain.":443",$errno,$errstr,30,STREAM_CLIENT_CONNECT,$get);$cert=@stream_context_get_params($read);$certinfo=@openssl_x509_parse($cert['options']['ssl']['peer_certificate']);if(is_null($certinfo)||empty($certinfo)){return false;}else{return true;}}

if($_SERVER["SERVER_PORT"] == "80") {
	if(verifica_SSL($_SERVER['HTTP_HOST'])) {
		header("Location: https://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"]);
		exit();
	}
}

//////////////////////////////////////////////////////////////////
/////////////////////// Acessos por Páginas //////////////////////
//////////////////////////////////////////////////////////////////

$total_acessos_paginas = @mysqli_num_rows(@mysqli_query($conexao,"SELECT * FROM acessos_paginas where pagina = '".query_string('0')."'"));

if($total_acessos_paginas == 0) {
	if(query_string('0')) {
		@mysqli_query($conexao,"INSERT INTO acessos_paginas (pagina,total) VALUES ('".query_string('0')."','1')");
	}
} else {
	@mysqli_query($conexao,"Update acessos_paginas set total = total+1 where pagina = '".query_string('0')."'");
}

//////////////////////////////////////////////////////////////////
/////////////////////////// Manutenção ///////////////////////////
//////////////////////////////////////////////////////////////////

if($dados_config["manutencao"] == "sim" && !preg_match('/player/i',query_string('0')) ) {

require("manutencao.php");

exit();

}

//////////////////////////////////////////////////////////////////
////////////////// Idioma e TimeZone do Painel ///////////////////
//////////////////////////////////////////////////////////////////

if($_SESSION["porta_logada"] || $_SESSION["porta_logada_dj"]) {

$dados_sessao = ($_SESSION["porta_logada"]) ? $_SESSION["porta_logada"] : $_SESSION["porta_logada_dj"];

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where porta = '".$dados_sessao."'"));

if(file_exists("inc/lang-".$dados_stm["idioma_painel"].".php")) {
require_once("inc/lang-".$dados_stm["idioma_painel"].".php");
} else {
require_once("inc/lang-pt-br.php");
}

if($dados_stm["idioma_painel"] == "pt-br") {
$lang_sortable = "Portuguese-Brasil";
} elseif($dados_stm["idioma_painel"] == "en-us") {
$lang_sortable = "English";
} else {
$lang_sortable = "Spanish";
}

}

//////////////////////////////////////////////////////////////////
//////////////////////////// Navegação ///////////////////////////
//////////////////////////////////////////////////////////////////

$pagina = query_string('0');

if($pagina == "sair") {

if($_SESSION["porta_logada"]) {

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings WHERE porta = '".$_SESSION["porta_logada"]."'"));

// Insere a ação executada no registro de logs.
logar_acao_streaming($conexao,"".$dados_stm["codigo"]."","".$lang['lang_info_log_logout_painel']."");
}

$pagina = "login";

unset($_SESSION["porta_logada"]);
}

if ($pagina == "") {
require("login.php");
} elseif (!file_exists($pagina.".php")) {
require("erro.php");
} else {
require("".$pagina.".php");
}
?>